CamelNNTPStoreSummary
3
CAMEL Library

# CamelNNTPStoreSummary

## Synopsis

                        CamelNNTPStoreInfo;
                        CamelNNTPStoreSummary;
    #define             NNTP_DATE_SIZE
    CamelNNTPStoreSummary* camel_nntp_store_summary_new     (void);
    #define             camel_nntp_store_info_full_name     (s, i)
    char*               camel_nntp_store_summary_full_to_path
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_nntp_store_summary_path_to_full
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);
    char*               camel_nntp_store_summary_dotted_to_full
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *dotted,
                                                             char dir_sep);
    CamelNNTPStoreInfo* camel_nntp_store_summary_full_name  (CamelNNTPStoreSummary *s,
                                                             const char *full_name);
    CamelNNTPStoreInfo* camel_nntp_store_summary_add_from_full
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);
    char*               camel_nntp_store_summary_full_from_path
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *path);

## Description

## Details

### CamelNNTPStoreInfo

    typedef struct {
    	CamelStoreInfo info;
    	char *full_name;
    	guint32 first;		/* from LIST or NEWGROUPS return */
    	guint32 last;
    } CamelNNTPStoreInfo;

### CamelNNTPStoreSummary

    typedef struct {
    	CamelStoreSummary summary;

    	struct _CamelNNTPStoreSummaryPrivate *priv;

    	/* header info */
    	guint32 version;	/* version of base part of file */
    	char last_newslist[NNTP_DATE_SIZE];
    } CamelNNTPStoreSummary;

### NNTP_DATE_SIZE

    #define NNTP_DATE_SIZE 14

### camel_nntp_store_summary_new ()

    CamelNNTPStoreSummary* camel_nntp_store_summary_new     (void);

Create a new CamelNNTPStoreSummary object.

Returns :

  A new CamelNNTPStoreSummary widget.

### camel_nntp_store_info_full_name()

    #define camel_nntp_store_info_full_name(s, i) (camel_store_info_string((CamelStoreSummary *)s, (const CamelStoreInfo *)i, CAMEL_NNTP_STORE_INFO_FULL_NAME))

`s` :

`i` :

### camel_nntp_store_summary_full_to_path ()

    char*               camel_nntp_store_summary_full_to_path
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_nntp_store_summary_path_to_full ()

    char*               camel_nntp_store_summary_path_to_full
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *path,
                                                             char dir_sep);

`s` :

`path` :

`dir_sep` :

Returns :

### camel_nntp_store_summary_dotted_to_full ()

    char*               camel_nntp_store_summary_dotted_to_full
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *dotted,
                                                             char dir_sep);

`s` :

`dotted` :

`dir_sep` :

Returns :

### camel_nntp_store_summary_full_name ()

    CamelNNTPStoreInfo* camel_nntp_store_summary_full_name  (CamelNNTPStoreSummary *s,
                                                             const char *full_name);

Retrieve a summary item by full name.

A referenced to the summary item is returned, which may be ref'd or free'd as appropriate.

`s` :

`full_name` :

Returns :

  The summary item, or NULL if the `full_name` name is not available. It must be freed using `camel_store_summary_info_free()`.

### camel_nntp_store_summary_add_from_full ()

    CamelNNTPStoreInfo* camel_nntp_store_summary_add_from_full
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *full_name,
                                                             char dir_sep);

`s` :

`full_name` :

`dir_sep` :

Returns :

### camel_nntp_store_summary_full_from_path ()

    char*               camel_nntp_store_summary_full_from_path
                                                            (CamelNNTPStoreSummary *s,
                                                             const char *path);

`s` :

`path` :

Returns :